## org.gnu.pango
Class FontFamily

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.pango.FontFamily

public class FontFamily
extends GObject

The FontFamily object is used to represent a family of related font faces. The faces in a family share a common design, but differ in slant, weight, width and other aspects.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Method Summary
`FontFace[]` `listFaces()` Lists the different font faces that make up family.
`protected static java.lang.String` `pango_font_family_get_name(Handle family)`
`protected static int` `pango_font_family_get_type()`
`protected static Handle[]` `pango_font_family_list_faces(Handle family)`
`java.lang.String` `toString()` Gets the name of the family.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Gets the name of the family. The name is unique among all fonts for the font backend and can be used in a PangoFontDescription to specify that a face from this family is desired.

### listFaces

    public FontFace[] listFaces()

  Lists the different font faces that make up family. The faces in a family share a common design, but differ in slant, weight, width and other aspects.

### pango_font_family_get_type

    protected static final int pango_font_family_get_type()

### pango_font_family_list_faces

    protected static final Handle[] pango_font_family_list_faces(Handle family)

### pango_font_family_get_name

    protected static final java.lang.String pango_font_family_get_name(Handle family)